---
title: Common Data Structure
gitlaburl: https://gitlab.com/arbetsformedlingen/individdata/connect-once/af-connect/-/blob/main//app/lib/common-cv-model/README.md
gitdir: /arbetsformedlingen/individdata/connect-once/af-connect
gitdir-file-path: /app/lib/common-cv-model/README.md
date: '2023-10-31 13:47:33'
path: /arbetsformedlingen/individdata/connect-once/af-connect/app/lib/common-cv-model/README.md
tags:
- app::lib::common-cv-model::README.md
- lib::common-cv-model::README.md
- common-cv-model::README.md
- README.md
---
![alt text][logo]

[logo]: https://github.com/MagnumOpuses/project-meta/blob/master/img/jobtechdev_black.png "JobTech dev logo"

[A JobTech Project](https://www.jobtechdev.se)


# Common Data Structure

This repository contains information about the common data structure that [AF-Connect](https://github.com/MagnumOpuses/af-connect) will be providing as a response.

The structure follows the HROpen standard (https://hropenstandards.org/) completely at the moment. If the standard does not satisfy the needs of the project it will be adapted accordingly. Please get in contact with any comments, changes or additions, we are very eager to make this work for the whole of the swedish labour market.

This structure will keep being used by the Gravity team for any projects exporting data from Arbetsformedlingen, to increase data cohesion and understanding in the labour market. For this reason, while the adoption of this standard is optional but would be appreciated, a relatively good knowledge and understanding of it is expected. 

There is a plan for adding (or finding and repurposing existing sections of the structure) that will be describing the Gig market. Please contact us with any ideas or comments regarding this or any other information you would like added.

It is understood that this structure is quite extensive and rich and includes a lot of sections that might seem irrelevant at the moment. They have been kept both because the organization feels that it should provide a solution that can cover all the needs of the labour market, and because they can be repurposed to accommodate other sections not yet added in the structure. The part of the structure that is used in the [AF-Connect project](https://github.com/MagnumOpuses/af-connect) is CandidateType and the substructures it requires. The exact structures used can be found in the resources folder of that repository/project.

This project also adds an [envelope](https://github.com/MagnumOpuses/common-cv-model/tree/master/envelope) to the structure that is used to wrape and transfer the data for the purposes of [AF-Connect](https://github.com/MagnumOpuses/af-connect). In the same folder as the definition an example of the full response from [AF-Connect project](https://github.com/MagnumOpuses/af-connect) can be [found](https://github.com/MagnumOpuses/common-cv-model/blob/master/envelope/example_WithHROpen421.json). This example can be validated with the code found in the "validator" folder. Instructions for that can be found in the installation adn testing sections of this README. 

Examples for each part of the structure can be found along side the definitions in their designated folder. With the exception of the envelope and its examples, all other examples have been generated by the HROpen consortium.

This is only the first version of this common structure and we are looking forward to input from users and collaborators, through pull requests.

## Versions, current dev state and future

1.0.0

### Installation

This section describes the steps for installing the validator that accompanies the project and can be used to test the response from [AF-Connect](https://github.com/MagnumOpuses/af-connect) with the structure described in this repository.  

```
cd validator
npm install
```

## Test

This section describes the steps for testing the response from [AF-Connect](https://github.com/MagnumOpuses/af-connect) with the structure described in this project. 

Originally, the validator tests against the example provided in the envelop folder.

```
cd validator
npm test
```

## Contributing

We would love if you'd like to help us build and improve this product for the benefit of everyone. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org/) code of conduct.

Any contributions, feedback and suggestions are more than welcome.

Please read our guidelines for contribution [here](CONTRIBUTING_TEMPLATE.md).

## License

[Apache License 2.0](LICENSE.md)

## Acknowledgments

No acknowledgments yet.

```

```
